{
	"$schema": "https://turbo.build/schema.json",
	"globalDependencies": ["**/.env.*local"],
	"tasks": {
		"dev": {
			"dependsOn": ["^db:generate"],
			"cache": false,
			"persistent": true
		},
		"build": {
			"dependsOn": ["^build", "^db:generate"],
			"inputs": ["$TURBO_DEFAULT$", ".env*"],
			"outputs": ["dist/**", ".next/**", "!.next/cache/**"]
		},
		"lint": {
			"dependsOn": ["^lint"]
		},
		"check-types": {
			"dependsOn": ["^check-types"]
		},
		"db:generate": {
			"cache": false
		},
		"db:migrate": {
			"cache": false,
			"persistent": true
		},
		"db:deploy": {
			"cache": false
		},
		"db:push": {
			"cache": false
		},
		"db:seed": {
			"cache": false
		},
		"generate": {
			"dependsOn": ["^generate"],
			"cache": false
		},
		"test": {
			"outputs": ["coverage/**"]
		},
		"test:e2e": {
			"outputs": ["coverage-e2e/**"]
		}
	}
}
